package com.ruoyi.sy.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 专业对象 sy_major
 *
 * @author mingxue
 * @date 2022-04-27
 */
public class SyMajor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 科目code */
    @Excel(name = "科目code")
    private String code;

    /** 科目parentcode */
    @Excel(name = "科目parentcode")
    private String parentCode;

    /** 科目名称 */
    @Excel(name = "科目名称")
    private String name;

    private String examType;

    /** 科目类型，本科/专科 */
    @Excel(name = "科目类型，本科/专科")
    private String type;

    /** 层级 */
    @Excel(name = "层级")
    private Integer level;

    /** 祖级编码 */
    @Excel(name = "祖级编码")
    private String ancestors;

    /** 子级数量 */
    @Excel(name = "子级数量")
    private Integer childCount;

    /** 孙级数量 */
    @Excel(name = "孙级数量")
    private Integer grandchildCount;

    /** 修业年限 */
    @Excel(name = "修业年限")
    private String learnYearArab;

    public String getLearnYearArab() {
        return learnYearArab;
    }

    public void setLearnYearArab(String learnYearArab) {
        this.learnYearArab = learnYearArab;
    }
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public SyMajor setCode(String code)
    {
        this.code = code;
        return this;
    }

    public String getCode()
    {
        return code;

    }
    public SyMajor setParentCode(String parentCode)
    {
        this.parentCode = parentCode;
        return this;
    }

    public String getParentCode()
    {
        return parentCode;
    }
    public SyMajor setName(String name)
    {
        this.name = name;
        return this;
    }

    public String getName()
    {
        return name;
    }
    public SyMajor setType(String type)
    {
        this.type = type;
        return this;
    }

    public String getExamType() {
        return examType;
    }

    public SyMajor setExamType(String examType) {
        this.examType = examType;
        return this;
    }

    public String getType()
    {
        return type;
    }
    public SyMajor setLevel(Integer level)
    {
        this.level = level;
        return this;
    }

    public Integer getLevel()
    {
        return level;
    }
    public void setAncestors(String ancestors)
    {
        this.ancestors = ancestors;
    }

    public String getAncestors()
    {
        return ancestors;
    }
    public void setChildCount(Integer childCount)
    {
        this.childCount = childCount;
    }

    public Integer getChildCount()
    {
        return childCount;
    }
    public void setGrandchildCount(Integer grandchildCount)
    {
        this.grandchildCount = grandchildCount;
    }

    public Integer getGrandchildCount()
    {
        return grandchildCount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("parentCode", getParentCode())
            .append("name", getName())
            .append("type", getType())
            .append("level", getLevel())
            .append("ancestors", getAncestors())
            .append("childCount", getChildCount())
            .append("grandchildCount", getGrandchildCount())
            .toString();
    }
}
